#!/usr/bin/env ruby

require "thor"
require "rtw/version"
require "rtw/message"
require "bible_gateway"

module ReadTheWord
  class Base < Thor

    TRANSLATIONS = {
      :american_standard_version => "ASV",
      :amplified_bible => "AMP",
      :common_english_bible => "CEB",
      :contemporary_english_version => "CEV",
      :darby_translation => "DARBY",
      :english_standard_version => "ESV",
      :holman_christian_standard_bible => "HCSB",
      :king_james_version => "KJV",
      :king_james_version_21st_century => "KJ21",
      :new_american_standard_bible => "NASB",
      :new_century_version => "NCV",
      :new_international_readers_version => "NIRV",
      :new_international_version => "NIV",
      :new_international_version_uk => "NIVUK",
      :new_king_james_version => "NKJV",
      :new_living_translation => "NLT",
      :new_revised_standard_version => "NRSV",
      :the_message => "MSG",
      :todays_new_international_version => "TNIV",
      :world_english_bible => "WEB",
      :worldwide_english_new_testament => "WE",
      :wycliffe_new_testament => "WYC",
      :youngs_literal_translation => "YLT",
  
      # French
      :bible_du_semeur => "BDS",
      :louis_segond => "LSG",
      :nouvelle_edition_de_geneve => "NEG1979",
      :segond_21 => "SG21",
  
      #Chinese
      :chinese_new_version_simplified => "CNVS",
      :chinese_union_version_simplified => "CUVS",
    }

    package_name 'rtw'
    default_task :version

    desc "version", "print rtw version"
    def version
      puts ReadTheWord::VERSION
    end

    desc "context VERSE", "get the context of this verse"
    def context
    end

    desc "translations", "print translations"
    def translations
      puts TRANSLATIONS.keys
    end

    # TODO Support version=NASB
    desc "find VERSE", "find bible verse"
    def find(*names)
      b = BibleGateway.new
      answer =  b.lookup(names.join(' '))
      puts answer[:text] if answer != nil
    end

    desc "compare VERSE", "compare bible verse"
    def compare
    end

    desc "settings", "show the settings"
    def settings
    end
    
    desc "history", "show the history"
    def history
    end
  end
end

